JoinSequence (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class JoinSequence

    java.lang.Object
      org.hibernate.engine.internal.JoinSequence

    public class JoinSequence

extends Object

Nested Class Summary
`class` | `JoinSequence.Join`
`static interface` | `JoinSequence.Selector`

Constructor Summary
`JoinSequence(SessionFactoryImplementor factory)`

Method Summary
`JoinSequence` | `addCondition(String condition)`
`JoinSequence` | `addCondition(String alias, String[] columns, String condition)`
`JoinSequence` | `addJoin(AssociationType associationType, String alias, JoinType joinType, String[] referencingKey)`
`JoinSequence` | `copy()`
`JoinSequence.Join` | `getFirstJoin()`
`JoinSequence` | `getFromPart()`
`int` | `getJoinCount()`
`boolean` | `isThetaStyle()`
`Iterator` | `iterateJoins()`
`JoinSequence` | `setNext(JoinSequence next)`
`JoinSequence` | `setRoot(Joinable joinable, String alias)`
`JoinSequence` | `setSelector(JoinSequence.Selector s)`
`JoinSequence` | `setUseThetaStyle(boolean useThetaStyle)`
`JoinFragment` | `toJoinFragment()`
`JoinFragment` | `toJoinFragment(Map enabledFilters, boolean includeExtraJoins)`
`JoinFragment` | `toJoinFragment(Map enabledFilters, boolean includeExtraJoins, String withClauseFragment, String withClauseJoinAlias)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JoinSequence

    public JoinSequence(SessionFactoryImplementor factory)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFromPart

    public JoinSequence getFromPart()

### copy

    public JoinSequence copy()

### addJoin

    public JoinSequence addJoin(AssociationType associationType,
                                String alias,
                                JoinType joinType,
                                String[] referencingKey)
                         throws MappingException

  Throws:
    `MappingException`

### toJoinFragment

    public JoinFragment toJoinFragment()
                                throws MappingException

  Throws:
    `MappingException`

### toJoinFragment

    public JoinFragment toJoinFragment(Map enabledFilters,
                                       boolean includeExtraJoins)
                                throws MappingException

  Throws:
    `MappingException`

### toJoinFragment

    public JoinFragment toJoinFragment(Map enabledFilters,
                                       boolean includeExtraJoins,
                                       String withClauseFragment,
                                       String withClauseJoinAlias)
                                throws MappingException

  Throws:
    `MappingException`

### addCondition

    public JoinSequence addCondition(String condition)

### addCondition

    public JoinSequence addCondition(String alias,
                                     String[] columns,
                                     String condition)

### setRoot

    public JoinSequence setRoot(Joinable joinable,
                                String alias)

### setNext

    public JoinSequence setNext(JoinSequence next)

### setSelector

    public JoinSequence setSelector(JoinSequence.Selector s)

### setUseThetaStyle

    public JoinSequence setUseThetaStyle(boolean useThetaStyle)

### isThetaStyle

    public boolean isThetaStyle()

### getJoinCount

    public int getJoinCount()

### iterateJoins

    public Iterator iterateJoins()

### getFirstJoin

    public JoinSequence.Join getFirstJoin()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.